﻿// Fill out your copyright notice in the Description page of Project Settings.


#include "WeaponInventory.h"

#include "WeaponItemClass.h"


// Sets default values for this component's properties
UWeaponInventory::UWeaponInventory()
{
	// Set this component to be initialized when the game starts, and to be ticked every frame.  You can turn these features
	// off to improve performance if you don't need them.
	PrimaryComponentTick.bCanEverTick = true;
	
}


// Called when the game starts
void UWeaponInventory::BeginPlay()
{
	Super::BeginPlay();

	// ...
	
}


// Called every frame
void UWeaponInventory::TickComponent(float DeltaTime, ELevelTick TickType, FActorComponentTickFunction* ThisTickFunction)
{
	Super::TickComponent(DeltaTime, TickType, ThisTickFunction);

	// ...
}

//Called from blueprints from the player
void UWeaponInventory::WeaponPickup(AActor* WeaponPickedUp)
{
	AWeaponItemClass* WeaponItemClass = Cast<AWeaponItemClass>(WeaponPickedUp);
	WeaponsArray.Add(WeaponItemClass);
	WeaponPickedUp->Destroy();
}

